package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Eta;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface EtaMapper {

    int insert(Eta record);

    int insertSelective(Eta record);

    int updateByPrimaryKeySelective(Eta record);

    int updateByPrimaryKey(Eta record);

    int deleteByPrimaryKey(Eta record);

    int deleteByIds(Collection<Object> collection);

    Eta selectByPrimaryKey(Eta record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Eta> dyncRead(Map<String,Object> dyncMap);

    Eta getEtaByExtkey(@Param("extkey") String extkey);

    Eta getEtaByExtkeyAndEtgExtkey(@Param("extkey") String extkey,@Param("etgExtkey") String etgExtkey);

}